stages:
  - test
  - package
  - deploy
  
image: microsoft/dotnet:2.0-sdk

test:
  stage: test
  script:
    - dotnet build
    - dotnet test CommandManager.Test/

release:package:
  stage: package
  script:
    - dotnet pack CommandManager/CommandManager.csproj -c Release -o ../build
  artifacts:
   paths: 
     - build/
   when: on_success
   expire_in: 1 day
  only:
    - /master/

release:deploy:
  stage: deploy
  dependencies:
    - release:package
  variables:
   GIT_STRATEGY: none
  script:
    - dotnet nuget push build/ -k ${NUGET_TOKEN} -s https://api.nuget.org/v3/index.json
  only:
    - /master/